Map has no secrets, displayed as 0% (vs. 100%)
2016-09-13 05:15 - Drako

Status: New Start date: 2016-09-13
Priority: Low % Done: 0%
Assignee:

Category: Vanilla emulation

Target version: Vanilla / Gameplay

Description

build 2072

When the number of items or secrets in a level is 0 then the final screen after that level shows 0% instead of 100%. See a example
on the attached screenshot.

History

#1 - 2016-09-13 06:12 - Drako
- File doom2-plut-001.png added

#2 - 2016-09-13 11:03 - vermil
In Vanilla Doom, if there are no items or secrets on a map, then the intermission screen will display 0%. Dday imitates this.
However, some source ports, such as ZDoom, change this behaviour to display 100% in such cases.

For more information, see here: http://doomwiki.org/wiki/Secret

#3 - 2016-09-13 15:23 - Drako

Maybe there should be an option in Doomsday like "Strict Vanilla Doom On/Off" or something like that. In case the option is off the obvious bugs of
vanilla Doom (like this one) should be fixed.

#4 - 2016-09-16 10:53 - skyjake

- Tags set to Gameplay, Intermission

- Tracker changed from Bug to Feature

- Subject changed from 0% items/secrets problem to Map has no secrets, displayed as 0% (vs. 100%)

- Category changed from Defect to Vanilla emulation

Converting to a feature request. IMO when a map contains no secrets, displaying it as 0% or 100% are both correct since "all of nothing" is still
nothing. The best fix for this would be to omit the entire secrets counter from the intermission in these maps that have no secrets.

#5 - 2016-09-17 03:44 - Drako

Well, IMO when you see "secrets 0%" you think "I missed all the secrets (so maybe | play again to find them)" rather than "There were no secrets in
that level (so there was nothing to find)". On the other hand "secrets 100%" is usually interpreted as "l found all the secrets" which is true also when
the number of secrets is 0.

Omitting the secrets counter will mean that there were no secrets in the level. That information can be delivered to a player by "secrets 100%"
(assuming that the player remembers that he found no secrets).

#6 - 2017-04-03 18:45 - skyjake

- Target version set to Vanilla / Gameplay
